> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List alert items across all alerts with filtering and pagination



## OpenAPI

````yaml /openapi/alert-items.json post /alert-items/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /alert-items/list:
    post:
      tags:
        - Alert Items
      summary: List alert items across all alerts with filtering and pagination
      operationId: alerts.items.list
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    id:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: ID
                    alertId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Alert ID
                    clientId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Client ID
                    transactionId:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: uuid
                            in:
                              type: array
                              items:
                                type: string
                                format: uuid
                            nin:
                              type: array
                              items:
                                type: string
                                format: uuid
                      description: Transaction ID
                    hasErrors:
                      type: boolean
                      description: Has Errors
                    clientNames:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Client Names
                    transactionAmount:
                      anyOf:
                        - type: number
                        - type: object
                          properties:
                            eq:
                              type: number
                            gt:
                              type: number
                            gte:
                              type: number
                            lt:
                              type: number
                            lte:
                              type: number
                            in:
                              type: array
                              items:
                                type: number
                            nin:
                              type: array
                              items:
                                type: number
                      description: Transaction Amount
                    transactionCurrency:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Transaction Currency
                    transactionDate:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Transaction Date
                    createdAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Created At
                    updatedAt:
                      anyOf:
                        - type: string
                          format: date-time
                        - type: object
                          properties:
                            eq:
                              type: string
                              format: date-time
                            gt:
                              type: string
                              format: date-time
                            gte:
                              type: string
                              format: date-time
                            lt:
                              type: string
                              format: date-time
                            lte:
                              type: string
                              format: date-time
                      description: Updated At
                    metadataFilters:
                      type: array
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                          value:
                            type: string
                        required:
                          - key
                          - value
                      description: Metadata Filters
                    scopeData:
                      type: object
                      properties:
                        MX:
                          type: object
                          properties:
                            actividadVulnerable:
                              type: object
                              properties:
                                alertDescription:
                                  anyOf:
                                    - type: string
                                    - type: object
                                      properties:
                                        eq:
                                          type: string
                                        contains:
                                          type: string
                                        startsWith:
                                          type: string
                                        endsWith:
                                          type: string
                                        in:
                                          type: array
                                          items:
                                            type: string
                                        nin:
                                          type: array
                                          items:
                                            type: string
                                  description: Alert Description
                                ARI:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '3001'
                                            - '3002'
                                            - '3003'
                                            - '3004'
                                            - '3005'
                                            - '3006'
                                            - '3007'
                                            - '3008'
                                            - '3009'
                                            - '3010'
                                            - '3011'
                                            - '3012'
                                            - '3013'
                                            - '3014'
                                            - '3015'
                                            - '3016'
                                            - '3017'
                                            - '3018'
                                            - '3019'
                                            - '3020'
                                            - '3021'
                                            - '3022'
                                            - '3023'
                                            - '3024'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '3001'
                                                - '3002'
                                                - '3003'
                                                - '3004'
                                                - '3005'
                                                - '3006'
                                                - '3007'
                                                - '3008'
                                                - '3009'
                                                - '3010'
                                                - '3011'
                                                - '3012'
                                                - '3013'
                                                - '3014'
                                                - '3015'
                                                - '3016'
                                                - '3017'
                                                - '3018'
                                                - '3019'
                                                - '3020'
                                                - '3021'
                                                - '3022'
                                                - '3023'
                                                - '3024'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '3001'
                                                  - '3002'
                                                  - '3003'
                                                  - '3004'
                                                  - '3005'
                                                  - '3006'
                                                  - '3007'
                                                  - '3008'
                                                  - '3009'
                                                  - '3010'
                                                  - '3011'
                                                  - '3012'
                                                  - '3013'
                                                  - '3014'
                                                  - '3015'
                                                  - '3016'
                                                  - '3017'
                                                  - '3018'
                                                  - '3019'
                                                  - '3020'
                                                  - '3021'
                                                  - '3022'
                                                  - '3023'
                                                  - '3024'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '3001'
                                                  - '3002'
                                                  - '3003'
                                                  - '3004'
                                                  - '3005'
                                                  - '3006'
                                                  - '3007'
                                                  - '3008'
                                                  - '3009'
                                                  - '3010'
                                                  - '3011'
                                                  - '3012'
                                                  - '3013'
                                                  - '3014'
                                                  - '3015'
                                                  - '3016'
                                                  - '3017'
                                                  - '3018'
                                                  - '3019'
                                                  - '3020'
                                                  - '3021'
                                                  - '3022'
                                                  - '3023'
                                                  - '3024'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                AVI:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '4101'
                                            - '4102'
                                            - '4103'
                                            - '4104'
                                            - '4105'
                                            - '4106'
                                            - '4107'
                                            - '4108'
                                            - '4109'
                                            - '4110'
                                            - '4111'
                                            - '4112'
                                            - '4113'
                                            - '4114'
                                            - '4115'
                                            - '4116'
                                            - '4117'
                                            - '4118'
                                            - '4119'
                                            - '4120'
                                            - '4121'
                                            - '4122'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '4101'
                                                - '4102'
                                                - '4103'
                                                - '4104'
                                                - '4105'
                                                - '4106'
                                                - '4107'
                                                - '4108'
                                                - '4109'
                                                - '4110'
                                                - '4111'
                                                - '4112'
                                                - '4113'
                                                - '4114'
                                                - '4115'
                                                - '4116'
                                                - '4117'
                                                - '4118'
                                                - '4119'
                                                - '4120'
                                                - '4121'
                                                - '4122'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '4101'
                                                  - '4102'
                                                  - '4103'
                                                  - '4104'
                                                  - '4105'
                                                  - '4106'
                                                  - '4107'
                                                  - '4108'
                                                  - '4109'
                                                  - '4110'
                                                  - '4111'
                                                  - '4112'
                                                  - '4113'
                                                  - '4114'
                                                  - '4115'
                                                  - '4116'
                                                  - '4117'
                                                  - '4118'
                                                  - '4119'
                                                  - '4120'
                                                  - '4121'
                                                  - '4122'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '4101'
                                                  - '4102'
                                                  - '4103'
                                                  - '4104'
                                                  - '4105'
                                                  - '4106'
                                                  - '4107'
                                                  - '4108'
                                                  - '4109'
                                                  - '4110'
                                                  - '4111'
                                                  - '4112'
                                                  - '4113'
                                                  - '4114'
                                                  - '4115'
                                                  - '4116'
                                                  - '4117'
                                                  - '4118'
                                                  - '4119'
                                                  - '4120'
                                                  - '4121'
                                                  - '4122'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                INM:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '3101'
                                            - '3102'
                                            - '3103'
                                            - '3104'
                                            - '3105'
                                            - '3106'
                                            - '3107'
                                            - '3108'
                                            - '3109'
                                            - '3110'
                                            - '3111'
                                            - '3112'
                                            - '3113'
                                            - '3114'
                                            - '3115'
                                            - '3116'
                                            - '3117'
                                            - '3118'
                                            - '3119'
                                            - '3120'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '3101'
                                                - '3102'
                                                - '3103'
                                                - '3104'
                                                - '3105'
                                                - '3106'
                                                - '3107'
                                                - '3108'
                                                - '3109'
                                                - '3110'
                                                - '3111'
                                                - '3112'
                                                - '3113'
                                                - '3114'
                                                - '3115'
                                                - '3116'
                                                - '3117'
                                                - '3118'
                                                - '3119'
                                                - '3120'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '3101'
                                                  - '3102'
                                                  - '3103'
                                                  - '3104'
                                                  - '3105'
                                                  - '3106'
                                                  - '3107'
                                                  - '3108'
                                                  - '3109'
                                                  - '3110'
                                                  - '3111'
                                                  - '3112'
                                                  - '3113'
                                                  - '3114'
                                                  - '3115'
                                                  - '3116'
                                                  - '3117'
                                                  - '3118'
                                                  - '3119'
                                                  - '3120'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '3101'
                                                  - '3102'
                                                  - '3103'
                                                  - '3104'
                                                  - '3105'
                                                  - '3106'
                                                  - '3107'
                                                  - '3108'
                                                  - '3109'
                                                  - '3110'
                                                  - '3111'
                                                  - '3112'
                                                  - '3113'
                                                  - '3114'
                                                  - '3115'
                                                  - '3116'
                                                  - '3117'
                                                  - '3118'
                                                  - '3119'
                                                  - '3120'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                JYS:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '2101'
                                            - '2102'
                                            - '2103'
                                            - '2104'
                                            - '2105'
                                            - '2106'
                                            - '2107'
                                            - '2108'
                                            - '2109'
                                            - '2110'
                                            - '2111'
                                            - '2112'
                                            - '2113'
                                            - '2114'
                                            - '2115'
                                            - '2116'
                                            - '2117'
                                            - '2118'
                                            - '2119'
                                            - '2120'
                                            - '2121'
                                            - '2122'
                                            - '2123'
                                            - '2124'
                                            - '2125'
                                            - '2126'
                                            - '2127'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '2101'
                                                - '2102'
                                                - '2103'
                                                - '2104'
                                                - '2105'
                                                - '2106'
                                                - '2107'
                                                - '2108'
                                                - '2109'
                                                - '2110'
                                                - '2111'
                                                - '2112'
                                                - '2113'
                                                - '2114'
                                                - '2115'
                                                - '2116'
                                                - '2117'
                                                - '2118'
                                                - '2119'
                                                - '2120'
                                                - '2121'
                                                - '2122'
                                                - '2123'
                                                - '2124'
                                                - '2125'
                                                - '2126'
                                                - '2127'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2101'
                                                  - '2102'
                                                  - '2103'
                                                  - '2104'
                                                  - '2105'
                                                  - '2106'
                                                  - '2107'
                                                  - '2108'
                                                  - '2109'
                                                  - '2110'
                                                  - '2111'
                                                  - '2112'
                                                  - '2113'
                                                  - '2114'
                                                  - '2115'
                                                  - '2116'
                                                  - '2117'
                                                  - '2118'
                                                  - '2119'
                                                  - '2120'
                                                  - '2121'
                                                  - '2122'
                                                  - '2123'
                                                  - '2124'
                                                  - '2125'
                                                  - '2126'
                                                  - '2127'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2101'
                                                  - '2102'
                                                  - '2103'
                                                  - '2104'
                                                  - '2105'
                                                  - '2106'
                                                  - '2107'
                                                  - '2108'
                                                  - '2109'
                                                  - '2110'
                                                  - '2111'
                                                  - '2112'
                                                  - '2113'
                                                  - '2114'
                                                  - '2115'
                                                  - '2116'
                                                  - '2117'
                                                  - '2118'
                                                  - '2119'
                                                  - '2120'
                                                  - '2121'
                                                  - '2122'
                                                  - '2123'
                                                  - '2124'
                                                  - '2125'
                                                  - '2126'
                                                  - '2127'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                MJR:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '2901'
                                            - '2902'
                                            - '2903'
                                            - '2904'
                                            - '2905'
                                            - '2906'
                                            - '2907'
                                            - '2908'
                                            - '2909'
                                            - '2910'
                                            - '2911'
                                            - '2912'
                                            - '2913'
                                            - '2914'
                                            - '2915'
                                            - '2916'
                                            - '2917'
                                            - '2918'
                                            - '2919'
                                            - '2920'
                                            - '2921'
                                            - '2922'
                                            - '2923'
                                            - '2924'
                                            - '2925'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '2901'
                                                - '2902'
                                                - '2903'
                                                - '2904'
                                                - '2905'
                                                - '2906'
                                                - '2907'
                                                - '2908'
                                                - '2909'
                                                - '2910'
                                                - '2911'
                                                - '2912'
                                                - '2913'
                                                - '2914'
                                                - '2915'
                                                - '2916'
                                                - '2917'
                                                - '2918'
                                                - '2919'
                                                - '2920'
                                                - '2921'
                                                - '2922'
                                                - '2923'
                                                - '2924'
                                                - '2925'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2901'
                                                  - '2902'
                                                  - '2903'
                                                  - '2904'
                                                  - '2905'
                                                  - '2906'
                                                  - '2907'
                                                  - '2908'
                                                  - '2909'
                                                  - '2910'
                                                  - '2911'
                                                  - '2912'
                                                  - '2913'
                                                  - '2914'
                                                  - '2915'
                                                  - '2916'
                                                  - '2917'
                                                  - '2918'
                                                  - '2919'
                                                  - '2920'
                                                  - '2921'
                                                  - '2922'
                                                  - '2923'
                                                  - '2924'
                                                  - '2925'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2901'
                                                  - '2902'
                                                  - '2903'
                                                  - '2904'
                                                  - '2905'
                                                  - '2906'
                                                  - '2907'
                                                  - '2908'
                                                  - '2909'
                                                  - '2910'
                                                  - '2911'
                                                  - '2912'
                                                  - '2913'
                                                  - '2914'
                                                  - '2915'
                                                  - '2916'
                                                  - '2917'
                                                  - '2918'
                                                  - '2919'
                                                  - '2920'
                                                  - '2921'
                                                  - '2922'
                                                  - '2923'
                                                  - '2924'
                                                  - '2925'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                MPC:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '2801'
                                            - '2802'
                                            - '2803'
                                            - '2804'
                                            - '2805'
                                            - '2806'
                                            - '2807'
                                            - '2808'
                                            - '2809'
                                            - '2810'
                                            - '2811'
                                            - '2812'
                                            - '2813'
                                            - '2814'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '2801'
                                                - '2802'
                                                - '2803'
                                                - '2804'
                                                - '2805'
                                                - '2806'
                                                - '2807'
                                                - '2808'
                                                - '2809'
                                                - '2810'
                                                - '2811'
                                                - '2812'
                                                - '2813'
                                                - '2814'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2801'
                                                  - '2802'
                                                  - '2803'
                                                  - '2804'
                                                  - '2805'
                                                  - '2806'
                                                  - '2807'
                                                  - '2808'
                                                  - '2809'
                                                  - '2810'
                                                  - '2811'
                                                  - '2812'
                                                  - '2813'
                                                  - '2814'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2801'
                                                  - '2802'
                                                  - '2803'
                                                  - '2804'
                                                  - '2805'
                                                  - '2806'
                                                  - '2807'
                                                  - '2808'
                                                  - '2809'
                                                  - '2810'
                                                  - '2811'
                                                  - '2812'
                                                  - '2813'
                                                  - '2814'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                TSC:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '2201'
                                            - '2202'
                                            - '2203'
                                            - '2204'
                                            - '2205'
                                            - '2206'
                                            - '2207'
                                            - '2208'
                                            - '2209'
                                            - '2210'
                                            - '2211'
                                            - '2212'
                                            - '2213'
                                            - '2214'
                                            - '2215'
                                            - '2216'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '2201'
                                                - '2202'
                                                - '2203'
                                                - '2204'
                                                - '2205'
                                                - '2206'
                                                - '2207'
                                                - '2208'
                                                - '2209'
                                                - '2210'
                                                - '2211'
                                                - '2212'
                                                - '2213'
                                                - '2214'
                                                - '2215'
                                                - '2216'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2201'
                                                  - '2202'
                                                  - '2203'
                                                  - '2204'
                                                  - '2205'
                                                  - '2206'
                                                  - '2207'
                                                  - '2208'
                                                  - '2209'
                                                  - '2210'
                                                  - '2211'
                                                  - '2212'
                                                  - '2213'
                                                  - '2214'
                                                  - '2215'
                                                  - '2216'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2201'
                                                  - '2202'
                                                  - '2203'
                                                  - '2204'
                                                  - '2205'
                                                  - '2206'
                                                  - '2207'
                                                  - '2208'
                                                  - '2209'
                                                  - '2210'
                                                  - '2211'
                                                  - '2212'
                                                  - '2213'
                                                  - '2214'
                                                  - '2215'
                                                  - '2216'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                                VEH:
                                  type: object
                                  properties:
                                    alertType:
                                      anyOf:
                                        - enum:
                                            - '100'
                                            - '2501'
                                            - '2502'
                                            - '2503'
                                            - '2504'
                                            - '2505'
                                            - '2506'
                                            - '2507'
                                            - '2508'
                                            - '2509'
                                            - '2510'
                                            - '2511'
                                            - '2512'
                                            - '2513'
                                            - '2514'
                                            - '2515'
                                            - '2516'
                                            - '2517'
                                            - '2518'
                                            - '2519'
                                            - '2520'
                                            - '2521'
                                            - '9999'
                                          type: string
                                        - type: object
                                          properties:
                                            eq:
                                              enum:
                                                - '100'
                                                - '2501'
                                                - '2502'
                                                - '2503'
                                                - '2504'
                                                - '2505'
                                                - '2506'
                                                - '2507'
                                                - '2508'
                                                - '2509'
                                                - '2510'
                                                - '2511'
                                                - '2512'
                                                - '2513'
                                                - '2514'
                                                - '2515'
                                                - '2516'
                                                - '2517'
                                                - '2518'
                                                - '2519'
                                                - '2520'
                                                - '2521'
                                                - '9999'
                                              type: string
                                            in:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2501'
                                                  - '2502'
                                                  - '2503'
                                                  - '2504'
                                                  - '2505'
                                                  - '2506'
                                                  - '2507'
                                                  - '2508'
                                                  - '2509'
                                                  - '2510'
                                                  - '2511'
                                                  - '2512'
                                                  - '2513'
                                                  - '2514'
                                                  - '2515'
                                                  - '2516'
                                                  - '2517'
                                                  - '2518'
                                                  - '2519'
                                                  - '2520'
                                                  - '2521'
                                                  - '9999'
                                                type: string
                                            nin:
                                              type: array
                                              items:
                                                enum:
                                                  - '100'
                                                  - '2501'
                                                  - '2502'
                                                  - '2503'
                                                  - '2504'
                                                  - '2505'
                                                  - '2506'
                                                  - '2507'
                                                  - '2508'
                                                  - '2509'
                                                  - '2510'
                                                  - '2511'
                                                  - '2512'
                                                  - '2513'
                                                  - '2514'
                                                  - '2515'
                                                  - '2516'
                                                  - '2517'
                                                  - '2518'
                                                  - '2519'
                                                  - '2520'
                                                  - '2521'
                                                  - '9999'
                                                type: string
                                      description: Alert Type
                              description: Actividad Vulnerable
                            cnbv:
                              type: object
                              properties:
                                TRANSMISOR:
                                  type: object
                              description: CNBV
                      description: JurisdictionUtils
                sort:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        enum:
                          - clientName
                          - transactionAmount
                          - transactionCurrency
                          - transactionDate
                          - createdAt
                          - updatedAt
                        type: string
                      direction:
                        enum:
                          - asc
                          - desc
                        type: string
                    required:
                      - field
                      - direction
                cursor:
                  type: string
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                includeTotalCount:
                  type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        transactionId:
                          type: string
                          format: uuid
                          description: Transaction ID
                        clientId:
                          type: string
                          format: uuid
                          description: Client ID
                        metadata:
                          type: object
                          propertyNames:
                            type: string
                          additionalProperties: {}
                          description: Metadata
                        scopeData:
                          type: object
                          properties:
                            MX:
                              type: object
                              properties:
                                actividadVulnerable:
                                  type: object
                                  properties:
                                    alertDescription:
                                      type: string
                                      description: Alert Description
                                    amendment:
                                      type: object
                                      properties:
                                        originalReference:
                                          type: string
                                          minLength: 1
                                          maxLength: 14
                                          description: Original Reference
                                        reason:
                                          type: string
                                          minLength: 1
                                          description: Reason
                                      required:
                                        - originalReference
                                        - reason
                                      description: Amendment
                                    ARI:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '3001'
                                            - '3002'
                                            - '3003'
                                            - '3004'
                                            - '3005'
                                            - '3006'
                                            - '3007'
                                            - '3008'
                                            - '3009'
                                            - '3010'
                                            - '3011'
                                            - '3012'
                                            - '3013'
                                            - '3014'
                                            - '3015'
                                            - '3016'
                                            - '3017'
                                            - '3018'
                                            - '3019'
                                            - '3020'
                                            - '3021'
                                            - '3022'
                                            - '3023'
                                            - '3024'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    AVI:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '4101'
                                            - '4102'
                                            - '4103'
                                            - '4104'
                                            - '4105'
                                            - '4106'
                                            - '4107'
                                            - '4108'
                                            - '4109'
                                            - '4110'
                                            - '4111'
                                            - '4112'
                                            - '4113'
                                            - '4114'
                                            - '4115'
                                            - '4116'
                                            - '4117'
                                            - '4118'
                                            - '4119'
                                            - '4120'
                                            - '4121'
                                            - '4122'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    INM:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '3101'
                                            - '3102'
                                            - '3103'
                                            - '3104'
                                            - '3105'
                                            - '3106'
                                            - '3107'
                                            - '3108'
                                            - '3109'
                                            - '3110'
                                            - '3111'
                                            - '3112'
                                            - '3113'
                                            - '3114'
                                            - '3115'
                                            - '3116'
                                            - '3117'
                                            - '3118'
                                            - '3119'
                                            - '3120'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    JYS:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '2101'
                                            - '2102'
                                            - '2103'
                                            - '2104'
                                            - '2105'
                                            - '2106'
                                            - '2107'
                                            - '2108'
                                            - '2109'
                                            - '2110'
                                            - '2111'
                                            - '2112'
                                            - '2113'
                                            - '2114'
                                            - '2115'
                                            - '2116'
                                            - '2117'
                                            - '2118'
                                            - '2119'
                                            - '2120'
                                            - '2121'
                                            - '2122'
                                            - '2123'
                                            - '2124'
                                            - '2125'
                                            - '2126'
                                            - '2127'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    MJR:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '2901'
                                            - '2902'
                                            - '2903'
                                            - '2904'
                                            - '2905'
                                            - '2906'
                                            - '2907'
                                            - '2908'
                                            - '2909'
                                            - '2910'
                                            - '2911'
                                            - '2912'
                                            - '2913'
                                            - '2914'
                                            - '2915'
                                            - '2916'
                                            - '2917'
                                            - '2918'
                                            - '2919'
                                            - '2920'
                                            - '2921'
                                            - '2922'
                                            - '2923'
                                            - '2924'
                                            - '2925'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    MPC:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '2801'
                                            - '2802'
                                            - '2803'
                                            - '2804'
                                            - '2805'
                                            - '2806'
                                            - '2807'
                                            - '2808'
                                            - '2809'
                                            - '2810'
                                            - '2811'
                                            - '2812'
                                            - '2813'
                                            - '2814'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    TSC:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '2201'
                                            - '2202'
                                            - '2203'
                                            - '2204'
                                            - '2205'
                                            - '2206'
                                            - '2207'
                                            - '2208'
                                            - '2209'
                                            - '2210'
                                            - '2211'
                                            - '2212'
                                            - '2213'
                                            - '2214'
                                            - '2215'
                                            - '2216'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                    VEH:
                                      type: object
                                      properties:
                                        alertType:
                                          enum:
                                            - '100'
                                            - '2501'
                                            - '2502'
                                            - '2503'
                                            - '2504'
                                            - '2505'
                                            - '2506'
                                            - '2507'
                                            - '2508'
                                            - '2509'
                                            - '2510'
                                            - '2511'
                                            - '2512'
                                            - '2513'
                                            - '2514'
                                            - '2515'
                                            - '2516'
                                            - '2517'
                                            - '2518'
                                            - '2519'
                                            - '2520'
                                            - '2521'
                                            - '9999'
                                          type: string
                                          description: Alert Type
                                cnbv:
                                  type: object
                                  properties:
                                    TRANSMISOR:
                                      type: object
                                      properties:
                                        fechaDeteccion:
                                          type: string
                                          format: date-time
                                          description: Detection Date
                                        descripcionOperacion:
                                          type: string
                                          description: Operation Description
                                        razones:
                                          type: string
                                          description: Reasons
                            US: {}
                        id:
                          type: string
                          format: uuid
                        alertId:
                          type: string
                          format: uuid
                        clientNames:
                          type: array
                          items:
                            type: string
                        transactionAmount:
                          type: number
                        transactionCurrency:
                          type: string
                        transactionDate:
                          type: string
                        scope:
                          enum:
                            - base
                            - MX:AV
                            - MX:AV:ARI
                            - MX:AV:AVI
                            - MX:AV:INM
                            - MX:AV:JYS
                            - MX:AV:MJR
                            - MX:AV:MPC
                            - MX:AV:TSC
                            - MX:AV:VEH
                            - MX:CNBV
                            - MX:CNBV:TRANSMISOR
                            - MX
                          type: string
                        validationErrors:
                          type: array
                          items:
                            type: object
                            properties:
                              path:
                                type: string
                              code:
                                type: string
                              message:
                                type: string
                              severity:
                                enum:
                                  - error
                                  - warning
                                type: string
                              label:
                                type: string
                              resource:
                                enum:
                                  - alert
                                  - alert-item
                                  - client
                                  - transaction
                                  - address
                                  - bank-account
                                  - contact-method
                                  - document
                                  - product
                                type: string
                              resourceId:
                                type: string
                              sdkField:
                                type: string
                              parentClientId:
                                type: string
                            required:
                              - path
                              - code
                              - message
                              - severity
                              - resource
                              - resourceId
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - alertId
                        - scope
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      hasMore:
                        type: boolean
                      nextCursor:
                        type: string
                      totalCount:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - hasMore
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````